%global debug_package %{nil}

# /opt
%global __brp_check_rpaths %{nil}

%define _buildshell /bin/bash

Name:     boringssl
Version:  0.20250514.0
Release:  6%{?dist}

Summary:  Fork of OpenSSL that is designed to meet Google's needs
License:  Apache-2.0
URL:      https://%{name}.googlesource.com/%{name}/
Source:   https://%{name}.googlesource.com/%{name}/+archive/refs/tags/%{version}.tar.gz

#Requires:
BuildRequires: cmake cmake-data extra-cmake-modules ninja-build gcc-c++
BuildConflicts: ccache

%description

%prep
# gitile tarballs are dynamically generated, no stable checksum
#md5sum -c <<<"...  %{_sourcedir}/%{version}.tar.gz"
%setup -q -c

%build
export CCACHE_DISABLE=1
sed -i "s/-Werror//g" CMakeLists.txt
C=(
	cmake
	-G Ninja
	#-G "Unix Makefiles" -DCMAKE_VERBOSE_MAKEFILE=1
	-S .
	-DBUILD_TESTING=0
	-DCMAKE_BUILD_TYPE=Debug
	-DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}
	-DCMAKE_INSTALL_PREFIX=/opt/%{name}
	-DCMAKE_POSITION_INDEPENDENT_CODE=on
	#-DCMAKE_BUILD_RPATH="../%{_lib}"
	-DCMAKE_INSTALL_RPATH=/opt/%{name}/%{_lib}
	-DCMAKE_BUILD_WITH_INSTALL_RPATH=1
)
"${C[@]}" -B build.shared -DBUILD_SHARED_LIBS=1
#"${C[@]}" -B build.static
cmake --build build.shared
#cmake --build build.static

%install
export QA_RPATHS=$((0x0002|0x0004))
cmake --install build.shared --prefix %{buildroot}/opt/%{name}
cd $_/lib
ln -sv ../%{_lib}/* ./ || true

%files
/opt/%{name}

%changelog
